NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Facet.RemoveUndercutsBuilder Class Reference

This class handles the removal of undercut regions of a facet body. More...

Inheritance diagram for NXOpen.Facet.RemoveUndercutsBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void GenerateIsoclines ()
 The generation of isoclines. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression DraftAngle [get]
 Returns the draft angle More...
 
unsafe NXOpen.Direction DrawDirection [get, set]
 Returns or sets the draft vector More...
 
unsafe
NXOpen.SelectDisplayableObject 
FacetBody [get]
 Returns the facet body. More...
 
unsafe bool IsEditCopy [get, set]
 Returns or sets the flag indicating if the fixing undercuts is on the copy of the input facet body. More...
 
unsafe bool MatchFace [get, set]
 Returns or sets the match tangent to face. More...
 
unsafe
NXOpen.SelectDisplayableObject 
PartingObject [get]
 Returns the parting object More...
 
unsafe NXOpen.ScCollector SelectedCurve [get]
 Returns the selected isocline curve. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This class handles the removal of undercut regions of a facet body.

To create a new instance of this class, use NXOpen.Facet.FacetModelingCollection.CreateRemoveUndercutsBuilder

Default values.

Property Value

DraftAngle.Value

0

IsEditCopy

0

Created in NX12.0.0

Member Function Documentation

unsafe void NXOpen.Facet.RemoveUndercutsBuilder.GenerateIsoclines ( )
inline

The generation of isoclines.

Create isocline curves on the input facet body.

Created in NX12.0.0

License requirements: nx_polygon_modeling (" NX Polygon Modeling")

Property Documentation

unsafe NXOpen.Expression NXOpen.Facet.RemoveUndercutsBuilder.DraftAngle
get

Returns the draft angle

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Facet.RemoveUndercutsBuilder.DrawDirection
getset

Returns or sets the draft vector

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Facet.RemoveUndercutsBuilder.FacetBody
get

Returns the facet body.

Inputs to this command can be convergent objects

Created in NX12.0.0

License requirements: None.

unsafe bool NXOpen.Facet.RemoveUndercutsBuilder.IsEditCopy
getset

Returns or sets the flag indicating if the fixing undercuts is on the copy of the input facet body.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe bool NXOpen.Facet.RemoveUndercutsBuilder.MatchFace
getset

Returns or sets the match tangent to face.

Math the shorter face by bridging the input face to the edge of the longer face at the parting objet.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.SelectDisplayableObject NXOpen.Facet.RemoveUndercutsBuilder.PartingObject
get

Returns the parting object

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Facet.RemoveUndercutsBuilder.SelectedCurve
get

Returns the selected isocline curve.

The undercut related to the selected isocline curve will be removed.

Created in NX12.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.